package com.supervision.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 诊断问询意图
 * @TableName vp_ask_intent
 */
@TableName(value ="vp_ask_intent")
@Data
public class AskIntent implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 编码
     */
    private String code;

    /**
     * 中文注释
     */
    private String description;

    /**
     * 疾病ID，vp_disease主键
     */
    private String diseaseId;

    /**
     * 创建人ID
     */
    private String createUserId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updateUserId;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;


}