package com.supervision.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;

import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;

/**
 * 辅助检查记录表
 * @TableName vp_diagnosis_ancillary_record
 */
@TableName(value ="vp_diagnosis_ancillary_record")
@Data
public class DiagnosisAncillaryRecord extends Model<DiagnosisAncillaryRecord> implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 流程ID
     */
    private String processId;

    /**
     * 项目ID
     */
    private String itemId;

    /**
     * 检查结果
     */
    private String value;

    /**
     * 创建人ID
     */
    private String createUserId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updateUserId;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;


}