package com.supervision.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;

/**
 * 诊断结果
 * @TableName vp_diagnosis_result
 */
@TableName(value ="vp_diagnosis_result")
@Data
public class DiagnosisResult implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 诊断进程ID
     */
    private String processId;

    /**
     * 诊断结果
     */
    private String finalDiagnosis;

    /**
     * 治疗计划
     */
    private String treatmentPlan;

    /**
     * 论证诊断
     */
    private String proveDiagnosisDesc;

    /**
     * 创建人ID
     */
    private String createUserId;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    private String updateUserId;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;


}