package com.supervision.controller;

import com.supervision.model.DiagnosisAncillaryRecord;
import com.supervision.pojo.vo.AskAncillaryResultReqVO;
import com.supervision.service.AskAncillaryService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Api(tags = "辅助检查")
@RestController
@RequestMapping("askAncillary")
@RequiredArgsConstructor
public class AskAncillaryController {

    private final AskAncillaryService askAncillaryService;

    @ApiOperation("查询辅助检查的结果")
    @GetMapping("queryAskAncillaryResult")
    public DiagnosisAncillaryRecord queryAskAncillaryResult(AskAncillaryResultReqVO reqVO){
        return askAncillaryService.queryAskAncillaryResult(reqVO);
    }
}
