package com.supervision.controller;

import com.supervision.model.DiagnosisPhysicalRecord;
import com.supervision.pojo.vo.AskPhysicalResultReqVO;
import com.supervision.service.AskPhysicalService;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("askPhysical")
@RequiredArgsConstructor
@Validated
public class AskPhysicalController {

    private final AskPhysicalService askPhysicalService;

    @ApiOperation("查询体格检查的结果")
    @GetMapping("queryAskPhysicalResult")
    public DiagnosisPhysicalRecord queryAskPhysicalResult(AskPhysicalResultReqVO reqVO) {
        return askPhysicalService.queryAskPhysicalResult(reqVO);
    }
}
