package com.supervision.websocket.cache;

import cn.hutool.core.util.ObjectUtil;
import com.supervision.exception.BusinessException;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.socket.WebSocketSession;

import java.util.Collection;
import java.util.Map;
import java.util.Set;
import java.util.concurrent.ConcurrentHashMap;
import java.util.concurrent.ConcurrentMap;

@Slf4j
public class WebSocketUserCache {

    private static final Map<String, WebSocketSession> map = new ConcurrentHashMap<>();


    public static void login(String id, WebSocketSession socketSession) {
        map.put(id, socketSession);
        log.info("sessionId:{}注册成功", id);

    }

    public static void logout(String id) {
        map.remove(id);
        log.info("sessionId:{}注销成功", id);
    }

    public static WebSocketSession getSession(String id){
        WebSocketSession webSocketSession = map.get(id);
        if (ObjectUtil.isEmpty(webSocketSession)){
            throw new BusinessException("未找到socket链接");
        }
        return webSocketSession;
    }

}
