package com.supervision.websocket.config;

import com.supervision.websocket.handler.AskWebSocketHandler;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.web.socket.WebSocketHandler;
import org.springframework.web.socket.config.annotation.WebSocketConfigurer;
import org.springframework.web.socket.config.annotation.WebSocketHandlerRegistry;

@Configuration
public class WebSocketConfig implements WebSocketConfigurer {

    @Override
    public void registerWebSocketHandlers(WebSocketHandlerRegistry registry) {
        registry.addHandler(askWebSocketHandler(), "/askSocket")
                .setAllowedOrigins("*");
    }

    @Bean
    public WebSocketHandler askWebSocketHandler() {
        return new AskWebSocketHandler();
    }
}
